from django.conf.urls import *
from utils.attachments import views
from utils.urlhelpers import decorated_patterns
from utils.permissions import login_required

urlpatterns = decorated_patterns('', login_required,
    url(r'^add-for/(?P<app_label>[\w\-]+)/(?P<module_name>[\w\-]+)/(?P<object_id>\d+)/$', views.add(), name="attachments_add"),
    url(r'^display-for/(?P<app_label>[\w\-]+)/(?P<module_name>[\w\-]+)/(?P<object_id>\d+)/$', views.display(), name="attachments_display"),
    url(r'^(?P<object_id>\d+)/delete/$', views.delete(), name='attachments_delete'),
)